Loading...
Searching...
No Matches
SqlUtil::AbstractSequence Class Reference

base class for sequences More...

`#include <SqlUtil.qm.dox.h>`

## Public Member Functions

| constructor (string n_name, number n_start=1, number n_increment=1, *softnumber n_max)
| creates the object from the arguments
abstract string | getCreateSql (*hash< auto > opt)
| returns a string that can be used to create the sequence in the database
string | getDropSql (*hash< auto > opt)
| returns a string that can be used to drop the sequence from the database
abstract softlist< auto > | getRenameSql (string new_name, *hash< auto > opt)
| returns a list of strings that can be used to rename the sequence in the database

## Public Attributes

number | increment
| the increment
*number | max
| the ending number
string | name
| the name of the sequence
number | start
| the starting number

## Detailed Description

base class for sequences

## Member Function Documentation

## getDropSql()

string SqlUtil::AbstractSequence::getDropSql | ( | *hash< auto > | opt | ) |

returns a string that can be used to drop the sequence from the database

Parameters

  opt | drop options (if supported by the driver and object); in this generic base class method, this argument is ignored

## getRenameSql()

abstract softlist< auto > SqlUtil::AbstractSequence::getRenameSql | ( | string | new_name,
|  | *hash< auto > | opt )

returns a list of strings that can be used to rename the sequence in the database

Parameters

  new_name | the new name of the object
  opt | drop options (if supported by the driver and object)